#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m;
    scanf("%d",&n);
    int u;
    scanf("%d",&m);
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<n;j++)
        {
            scanf("%d",&u);
        }
    }
    if(n==1)
    {
        printf("1");
    }
    else if(m==1)
    {
        printf("1");
    }
    else
    {
        printf("0");
    }
    return 0;
}